//
//  tank
//
//  Import and Playlist Daemon for autoradio project
//
//
//  Copyright (C) 2017-2018 Christian Pointner <equinox@helsinki.at>
//
//  This file is part of tank.
//
//  tank is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  any later version.
//
//  tank is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with tank. If not, see <http://www.gnu.org/licenses/>.
//

package store

func (st *Store) createGroup(name string) error {
	// TODO: also create directory
	return st.db.Model(Group{}).Save(&Group{Name: name}).Error
}

// this will also remove all files and playlists belonging to the group!
func (st *Store) deleteGroup(name string) error {
	// TODO: also remove directory
	return st.db.Model(Group{}).Delete(&Group{Name: name}).Error
}

func (st *Store) ListGroups() (groups Groups, err error) {
	err = st.db.Find(&groups).Error
	return
}
